<div class="container">
    <div class="justify-content-between box-border-left">
        <div class="text-dark text-center bg-warning p-4 py-5 rounded">
            <span class="display-4"> User Count </span><br>
            <span class="display-3"> {{ userCount }} </span>
        </div>

        <div class="container mt-5 text-center">
            <button class="btn btn-success" (click)="onFetchCallParent()">
                Fetch Users Data
            </button>
        </div>

        <div class="mt-4 d-flex justify-content-center" role="status" *ngIf="userLoading">
            <div class="spinner-border text-primary"></div>
            <div class="text-white ml-3">Loading Users Data...</div>
        </div>
    </div>
</div>
